register_sysctl_paths
Prev | sysctl interface | Next

## Name

register_sysctl_paths — register a sysctl table hierarchy

## Synopsis

`struct ctl_table_header * register_sysctl_paths (` | const struct ctl_path * | path,
| struct ctl_table * | table`)`;

## Arguments

`path`

  The path to the directory the sysctl table is in.

`table`

  the top-level table structure

## Description

Register a sysctl table hierarchy. `table` should be a filled in ctl_table array. A completely 0 filled entry terminates the table.

See __register_sysctl_paths for more details.

Prev | Up | Next
Chapter 2. The proc filesystem | Home | register_sysctl_table